#include <stdio.h>
#include <stdlib.h>

#define _HACEK    '^'
#define _CARKA    '$'
#define _KROUZEK  '#'

void zpracuj_soubor(const char *file)
{
 FILE *in,*out;
 char fo[1024];
 sprintf(fo,"%s_",file);
 in=fopen(file,"rb");
 out=fopen(fo,"wb");
 if(in&&out)
   {
    int ch;
	while(ch=fgetc(in),!feof(in))
	  {
	   switch(ch)
	     {
		  case _HACEK:
		    switch(fgetc(in))
			  {
			   case 't': ch=''; break;
			   case 'T': ch=''; break;
			   case 'c': ch=''; break;
			   case 'C': ch=''; break;
			   case 'z': ch=''; break;
			   case 'Z': ch=''; break;
			   case 'e': ch=''; break;
			   case 'E': ch=''; break;
			   case 'd': ch=''; break;
			   case 'D': ch=''; break;
			   case 'n': ch=''; break;
			   case 'N': ch=''; break;
			   case 's': ch=''; break;
			   case 'S': ch=''; break;
			   case 'r': ch=''; break;
			   case 'R': ch=''; break;
			  }
			break;
		  case _CARKA:
		    switch(fgetc(in))
			  {
			   case 'e': ch=''; break;
			   case 'E': ch=''; break;
			   case 'a': ch=''; break;
			   case 'A': ch=''; break;
			   case 'i': ch=''; break;
			   case 'I': ch=''; break;
			   case 'o': ch=''; break;
			   case 'O': ch=''; break;
			   case 'u': ch=''; break;
			   case 'U': ch=''; break;
			   case 'y': ch=''; break;
			   case 'Y': ch=''; break;
			  }
			break;
		  case _KROUZEK:
		    switch(fgetc(in))
			  {
			   case 'u': ch=''; break;
			   case 'U': ch=''; break;
			  }
			break;
		 }
	   fputc(ch,out);
	  }
   }
  else
   {
    fprintf(stderr,"Chyba!");
   }
 if(in)fclose(in);
 if(out)fclose(out);
}

int main(int argc, char *argv[])
{
 if(argc==1)
   {
    fprintf(stderr,"Usage: txb2cp1250 txbfile1 [txbfile2] ...\n");
	return 1;
   }
 for(int i=1;i<argc;i++)
   {
    printf("Zpracovavam soubor %s... ",argv[i]);
	zpracuj_soubor(argv[i]);
	printf("OK\n");
   }
 return 0;
}
