#ifndef BERDY_SOUND_HEADER
#define BERDY_SOUND_HEADER


#define SFX_COUNT 20

#define SFX_MODRY_BLESK     0
//#define SFX_ZELENY_BLESK    1
#define SFX_MODRY_KAMEN     2
#define SFX_ZELEZNY_KAMEN   3
#define SFX_KROKY_BLATO     4
#define SFX_KROKY_MRAMOR    5
#define SFX_KROKY_POZADI    6
#define SFX_MENU_SKOK       7
#define SFX_MENU_KLIK       8
#define SFX_NARAZ           9
#define SFX_ODEMYK          10
#define SFX_OTEVRENI_EXITU  11
#define SFX_OTEVRENI_DVERI  12
#define SFX_POSUN           13
#define SFX_SEBRANI         14
#define SFX_VYBUCH          15
#define SFX_ZAVRENI         16
#define SFX_SAMPL_OK        17
#define SFX_PREPNI          18
//#define SFX_LISTA           19

//nizsi cislo priority urcuje vetsi prioritu
#define SFX_PRIORITY1		0
#define SFX_PRIORITY2		1
#define SFX_PRIORITY3		2

//-----------------------------------------------------------------------------

void InitSoundAndMusic(void); //inicializuje zarizeni pro prehravani zvuku a hudby
void FreeSoundAndMusic(void); //uvolni zarizeni drzena pro prehravani zvuku a hudby

//-----------------------------------------------------------------------------

void PlaySfx(unsigned char sfx_id, unsigned char sfx_prior); //prehraje zvuk
void StopSfx(void); //zastavi prehravani zvuku

int GetSfxVolume(void);
void SetSfxVolume(int val);

//-----------------------------------------------------------------------------

void hraj_modul(int mod, int loop);
void stop_modul(void);
void hraj_hudbu_levelu(void);
void hraj_hudbu_menu(void);
void hraj_hudbu_credits(void);
void hraj_hudbu_intro(void);
void hraj_hudbu_outro(int cislo);

int GetMusicVolume(void);
void SetMusicVolume(int val);

//-----------------------------------------------------------------------------

#endif

